Package org.drinkless.tdlib

# Class TdApi.AddSavedAnimation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.AddSavedAnimation

Enclosing class:
  `TdApi`

public static class TdApi.AddSavedAnimation extends TdApi.Function<TdApi.Ok>
Manually adds a new animation to the list of saved animations. The new animation is added to the beginning of the list. If the animation was already in the list, it is removed first. Only non-secret video animations with MIME type "video/mp4" can be added to the list.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputFile`
  `animation`
  The animation file to be added.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddSavedAnimation()`
  Default constructor for a function, which manually adds a new animation to the list of saved animations.
  `AddSavedAnimation(TdApi.InputFile animation)`
  Creates a function, which manually adds a new animation to the list of saved animations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### animation

    public TdApi.InputFile animation
    The animation file to be added. Only animations known to the server (i.e., successfully sent via a message) can be added to the list.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddSavedAnimation

    public AddSavedAnimation()
    Default constructor for a function, which manually adds a new animation to the list of saved animations. The new animation is added to the beginning of the list. If the animation was already in the list, it is removed first. Only non-secret video animations with MIME type "video/mp4" can be added to the list.

    Returns `Ok`

  - ### AddSavedAnimation

    public AddSavedAnimation(TdApi.InputFile animation)
    Creates a function, which manually adds a new animation to the list of saved animations. The new animation is added to the beginning of the list. If the animation was already in the list, it is removed first. Only non-secret video animations with MIME type "video/mp4" can be added to the list.

    Returns `Ok`

    Parameters:
      `animation` - The animation file to be added. Only animations known to the server (i.e., successfully sent via a message) can be added to the list.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR